Bump the Perl version for 5.29.5
authorAaron Crane <arc@cpan.org>
Sat, 20 Oct 2018 14:43:30 +0000 (15:43 +0100)
committerAaron Crane <arc@cpan.org>
Sat, 20 Oct 2018 15:06:22 +0000 (16:06 +0100)
25 files changed:
Cross/config.sh-arm-linux
Cross/config.sh-arm-linux-n770
INSTALL
META.json
META.yml
NetWare/Makefile
NetWare/config_H.wc
Porting/config.sh
Porting/config_H
Porting/perldelta_template.pod
README.haiku
README.macosx
README.os2
README.vms
dist/Module-CoreList/Changes
dist/Module-CoreList/lib/Module/CoreList.pm
dist/Module-CoreList/lib/Module/CoreList/Utils.pm
hints/catamount.sh
lib/B/Op_private.pm
patchlevel.h
plan9/config.plan9
plan9/config_sh.sample
win32/GNUmakefile
win32/Makefile
win32/makefile.mk

index a3a0fcf..fb58111 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='29'
-api_versionstring='5.29.4'
+api_versionstring='5.29.5'
 ar='ar'
-archlib='/usr/lib/perl5/5.29.4/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.29.4/armv4l-linux'
+archlib='/usr/lib/perl5/5.29.5/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.29.5/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.29.4/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.29.5/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -818,7 +818,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.29.4/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.29.5/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -826,13 +826,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.29.4'
+installprivlib='./install_me_here/usr/lib/perl5/5.29.5'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.29.4/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.29.5/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.29.4'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.29.5'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -966,8 +966,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.29.4'
-privlibexp='/usr/lib/perl5/5.29.4'
+privlib='/usr/lib/perl5/5.29.5'
+privlibexp='/usr/lib/perl5/5.29.5'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1032,17 +1032,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.29.4/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.29.4/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.29.5/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.29.5/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.29.4'
+sitelib='/usr/lib/perl5/site_perl/5.29.5'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.29.4'
+sitelibexp='/usr/lib/perl5/site_perl/5.29.5'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1081,7 +1081,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1172,8 +1172,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.29.4'
-version_patchlevel_string='version 29 subversion 4'
+version='5.29.5'
+version_patchlevel_string='version 29 subversion 5'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1187,9 +1187,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=29
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=29
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 0900f80..83391be 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='29'
-api_versionstring='5.29.4'
+api_versionstring='5.29.5'
 ar='ar'
-archlib='/usr/lib/perl5/5.29.4/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.29.4/armv4l-linux'
+archlib='/usr/lib/perl5/5.29.5/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.29.5/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -54,7 +54,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.29.4/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.29.5/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -816,7 +816,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.29.4/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.29.5/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -824,13 +824,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.29.4'
+installprivlib='./install_me_here/usr/lib/perl5/5.29.5'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.29.4/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.29.5/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.29.4'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.29.5'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -964,8 +964,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.29.4'
-privlibexp='/usr/lib/perl5/5.29.4'
+privlib='/usr/lib/perl5/5.29.5'
+privlibexp='/usr/lib/perl5/5.29.5'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1030,17 +1030,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.29.4/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.29.4/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.29.5/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.29.5/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.29.4'
+sitelib='/usr/lib/perl5/site_perl/5.29.5'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.29.4'
+sitelibexp='/usr/lib/perl5/site_perl/5.29.5'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1079,7 +1079,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1170,8 +1170,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.29.4'
-version_patchlevel_string='version 29 subversion 4'
+version='5.29.5'
+version_patchlevel_string='version 29 subversion 5'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1185,9 +1185,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=29
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=29
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
diff --git a/INSTALL b/INSTALL
index 4c9e3bc..5aea72b 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -609,7 +609,7 @@ The directories set up by Configure fall into three broad categories.
 
 =item Directories for the perl distribution
 
-By default, Configure will use the following directories for 5.29.4.
+By default, Configure will use the following directories for 5.29.5.
 $version is the full perl version number, including subversion, e.g.
 5.12.3, and $archname is a string like sun4-sunos,
 determined by Configure.  The full definitions of all Configure
@@ -2440,7 +2440,7 @@ http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
 
 =head1 Coexistence with earlier versions of perl 5
 
-Perl 5.29.4 is not binary compatible with earlier versions of Perl.
+Perl 5.29.5 is not binary compatible with earlier versions of Perl.
 In other words, you will have to recompile your XS modules.
 
 In general, you can usually safely upgrade from one version of Perl
@@ -2515,9 +2515,9 @@ won't interfere with another version.  (The defaults guarantee this for
 libraries after 5.6.0, but not for executables. TODO?)  One convenient
 way to do this is by using a separate prefix for each version, such as
 
-       sh Configure -Dprefix=/opt/perl5.29.4
+       sh Configure -Dprefix=/opt/perl5.29.5
 
-and adding /opt/perl5.29.4/bin to the shell PATH variable.  Such users
+and adding /opt/perl5.29.5/bin to the shell PATH variable.  Such users
 may also wish to add a symbolic link /usr/local/bin/perl so that
 scripts can still start with #!/usr/local/bin/perl.
 
@@ -2532,11 +2532,11 @@ yet.
 
 =head2 Upgrading from 5.28.0 or earlier
 
-B<Perl 5.29.4 may not be binary compatible with Perl 5.28.0 or
+B<Perl 5.29.5 may not be binary compatible with Perl 5.28.0 or
 earlier Perl releases.>  Perl modules having binary parts
 (meaning that a C compiler is used) will have to be recompiled to be
-used with 5.29.4.  If you find you do need to rebuild an extension with
-5.29.4, you may safely do so without disturbing the older
+used with 5.29.5.  If you find you do need to rebuild an extension with
+5.29.5, you may safely do so without disturbing the older
 installations.  (See L<"Coexistence with earlier versions of perl 5">
 above.)
 
@@ -2569,15 +2569,15 @@ Firstly, the bare minimum to run this script
      print("$f\n");
   }
 
-in Linux with perl-5.29.4 is as follows (under $Config{prefix}):
+in Linux with perl-5.29.5 is as follows (under $Config{prefix}):
 
   ./bin/perl
-  ./lib/perl5/5.29.4/strict.pm
-  ./lib/perl5/5.29.4/warnings.pm
-  ./lib/perl5/5.29.4/i686-linux/File/Glob.pm
-  ./lib/perl5/5.29.4/feature.pm
-  ./lib/perl5/5.29.4/XSLoader.pm
-  ./lib/perl5/5.29.4/i686-linux/auto/File/Glob/Glob.so
+  ./lib/perl5/5.29.5/strict.pm
+  ./lib/perl5/5.29.5/warnings.pm
+  ./lib/perl5/5.29.5/i686-linux/File/Glob.pm
+  ./lib/perl5/5.29.5/feature.pm
+  ./lib/perl5/5.29.5/XSLoader.pm
+  ./lib/perl5/5.29.5/i686-linux/auto/File/Glob/Glob.so
 
 Secondly, for perl-5.10.1, the Debian perl-base package contains 591
 files, (of which 510 are for lib/unicore) totaling about 3.5MB in its
index f3046c0..c56c830 100644 (file)
--- a/META.json
+++ b/META.json
          "url" : "http://perl5.git.perl.org/"
       }
    },
-   "version" : "5.029004",
+   "version" : "5.029005",
    "x_serialization_backend" : "JSON::PP version 2.97001"
 }
index 74f2aab..04e3ed6 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -114,5 +114,5 @@ resources:
   homepage: http://www.perl.org/
   license: http://dev.perl.org/licenses/
   repository: http://perl5.git.perl.org/
-version: '5.029004'
+version: '5.029005'
 x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
index 14daaa3..a445621 100644 (file)
@@ -86,7 +86,7 @@ NLM_VERSION    = 3,20,0
 
 
 # Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
-MODULE_DESC     = "Perl 5.29.4 for NetWare"
+MODULE_DESC     = "Perl 5.29.5 for NetWare"
 CCTYPE          = CodeWarrior
 C_COMPILER             = mwccnlm -c
 CPP_COMPILER   = mwccnlm
@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-INST_VER       = \5.29.4
+INST_VER       = \5.29.5
 
 #
 # Comment this out if you DON'T want your perl installation to have
index 4e75afc..8800716 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "c:\\perl\\5.29.4\\lib\\NetWare-x86-multi-thread"              /**/
+#define ARCHLIB "c:\\perl\\5.29.5\\lib\\NetWare-x86-multi-thread"              /**/
 /*#define ARCHLIB_EXP ""       /**/
 
 /* ARCHNAME:
  *     This symbol is the filename expanded version of the BIN symbol, for
  *     programs that do not want to deal with that at run-time.
  */
-#define BIN "c:\\perl\\5.29.4\\bin\\NetWare-x86-multi-thread"  /**/
-#define BIN_EXP "c:\\perl\\5.29.4\\bin\\NetWare-x86-multi-thread"      /**/
+#define BIN "c:\\perl\\5.29.5\\bin\\NetWare-x86-multi-thread"  /**/
+#define BIN_EXP "c:\\perl\\5.29.5\\bin\\NetWare-x86-multi-thread"      /**/
 
 /* BYTEORDER:
  *     This symbol holds the hexadecimal constant defined in byteorder,
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "c:\\perl\\site\\5.29.4\\lib\\NetWare-x86-multi-thread"               /**/
+#define SITEARCH "c:\\perl\\site\\5.29.5\\lib\\NetWare-x86-multi-thread"               /**/
 /*#define SITEARCH_EXP ""      /**/
 
 /* SITELIB:
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "c:\\perl\\site\\5.29.4\\lib"          /**/
+#define SITELIB "c:\\perl\\site\\5.29.5\\lib"          /**/
 /*#define SITELIB_EXP ""       /**/
 #define SITELIB_STEM ""                /**/
 
index ff480ac..735da46 100644 (file)
@@ -44,12 +44,12 @@ afsroot='/afs'
 alignbytes='8'
 aphostname=''
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='29'
-api_versionstring='5.29.4'
+api_versionstring='5.29.5'
 ar='ar'
-archlib='/opt/perl/lib/5.29.4/x86_64-linux'
-archlibexp='/opt/perl/lib/5.29.4/x86_64-linux'
+archlib='/opt/perl/lib/5.29.5/x86_64-linux'
+archlibexp='/opt/perl/lib/5.29.5/x86_64-linux'
 archname64=''
 archname='x86_64-linux'
 archobjs=''
@@ -842,7 +842,7 @@ incpath=''
 incpth='/usr/lib/gcc/x86_64-linux-gnu/4.9/include /usr/local/include /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/include'
 inews=''
 initialinstalllocation='/opt/perl/bin'
-installarchlib='/opt/perl/lib/5.29.4/x86_64-linux'
+installarchlib='/opt/perl/lib/5.29.5/x86_64-linux'
 installbin='/opt/perl/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -850,13 +850,13 @@ installman1dir='/opt/perl/man/man1'
 installman3dir='/opt/perl/man/man3'
 installprefix='/opt/perl'
 installprefixexp='/opt/perl'
-installprivlib='/opt/perl/lib/5.29.4'
+installprivlib='/opt/perl/lib/5.29.5'
 installscript='/opt/perl/bin'
-installsitearch='/opt/perl/lib/site_perl/5.29.4/x86_64-linux'
+installsitearch='/opt/perl/lib/site_perl/5.29.5/x86_64-linux'
 installsitebin='/opt/perl/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/opt/perl/lib/site_perl/5.29.4'
+installsitelib='/opt/perl/lib/site_perl/5.29.5'
 installsiteman1dir='/opt/perl/man/man1'
 installsiteman3dir='/opt/perl/man/man3'
 installsitescript='/opt/perl/bin'
@@ -981,7 +981,7 @@ perl_patchlevel=''
 perl_static_inline='static __inline__'
 perladmin='yourname@yourhost.yourplace.com'
 perllibs='-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/opt/perl/bin/perl5.29.4'
+perlpath='/opt/perl/bin/perl5.29.5'
 pg='pg'
 phostname=''
 pidtype='pid_t'
@@ -990,8 +990,8 @@ pmake=''
 pr=''
 prefix='/opt/perl'
 prefixexp='/opt/perl'
-privlib='/opt/perl/lib/5.29.4'
-privlibexp='/opt/perl/lib/5.29.4'
+privlib='/opt/perl/lib/5.29.5'
+privlibexp='/opt/perl/lib/5.29.5'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1056,17 +1056,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 31, 0'
 sig_size='69'
 signal_t='void'
-sitearch='/opt/perl/lib/site_perl/5.29.4/x86_64-linux'
-sitearchexp='/opt/perl/lib/site_perl/5.29.4/x86_64-linux'
+sitearch='/opt/perl/lib/site_perl/5.29.5/x86_64-linux'
+sitearchexp='/opt/perl/lib/site_perl/5.29.5/x86_64-linux'
 sitebin='/opt/perl/bin'
 sitebinexp='/opt/perl/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/opt/perl/lib/site_perl/5.29.4'
+sitelib='/opt/perl/lib/site_perl/5.29.5'
 sitelib_stem='/opt/perl/lib/site_perl'
-sitelibexp='/opt/perl/lib/site_perl/5.29.4'
+sitelibexp='/opt/perl/lib/site_perl/5.29.5'
 siteman1dir='/opt/perl/man/man1'
 siteman1direxp='/opt/perl/man/man1'
 siteman3dir='/opt/perl/man/man3'
@@ -1092,7 +1092,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/opt/perl/bin/perl5.29.4'
+startperl='#!/opt/perl/bin/perl5.29.5'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1104,7 +1104,7 @@ stdio_ptr='((fp)->_IO_read_ptr)'
 stdio_stream_array=''
 strerror_r_proto='0'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1202,8 +1202,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.29.4'
-version_patchlevel_string='version 29 subversion 4'
+version='5.29.5'
+version_patchlevel_string='version 29 subversion 5'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1213,10 +1213,10 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=29
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=29
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=''
 PERL_CONFIG_SH=true
 : Variables propagated from previous config.sh file.
index 45db01e..69594d3 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/opt/perl/lib/5.29.4/x86_64-linux"            /**/
-#define ARCHLIB_EXP "/opt/perl/lib/5.29.4/x86_64-linux"                /**/
+#define ARCHLIB "/opt/perl/lib/5.29.5/x86_64-linux"            /**/
+#define ARCHLIB_EXP "/opt/perl/lib/5.29.5/x86_64-linux"                /**/
 
 /* BIN:
  *     This symbol holds the path of the bin directory where the package will
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/opt/perl/lib/5.29.4"         /**/
-#define PRIVLIB_EXP "/opt/perl/lib/5.29.4"             /**/
+#define PRIVLIB "/opt/perl/lib/5.29.5"         /**/
+#define PRIVLIB_EXP "/opt/perl/lib/5.29.5"             /**/
 
 /* SITEARCH:
  *     This symbol contains the name of the private library for this package.
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/opt/perl/lib/site_perl/5.29.4/x86_64-linux"         /**/
-#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.29.4/x86_64-linux"             /**/
+#define SITEARCH "/opt/perl/lib/site_perl/5.29.5/x86_64-linux"         /**/
+#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.29.5/x86_64-linux"             /**/
 
 /* SITELIB:
  *     This symbol contains the name of the private library for this package.
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/opt/perl/lib/site_perl/5.29.4"               /**/
-#define SITELIB_EXP "/opt/perl/lib/site_perl/5.29.4"           /**/
+#define SITELIB "/opt/perl/lib/site_perl/5.29.5"               /**/
+#define SITELIB_EXP "/opt/perl/lib/site_perl/5.29.5"           /**/
 #define SITELIB_STEM "/opt/perl/lib/site_perl"         /**/
 
 /* PERL_VENDORARCH:
  *     script to make sure (one hopes) that it runs with perl and not
  *     some shell.
  */
-#define STARTPERL "#!/opt/perl/bin/perl5.29.4"         /**/
+#define STARTPERL "#!/opt/perl/bin/perl5.29.5"         /**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *     This symbol, if defined, tells that there is an array
index 7684037..dff7673 100644 (file)
@@ -403,7 +403,7 @@ died, add a short obituary here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.29.4..HEAD
+  perl Porting/acknowledgements.pl v5.29.5..HEAD
 
 =head1 Reporting Bugs
 
index 3288d7c..0a2c9d3 100644 (file)
@@ -22,9 +22,9 @@ The build procedure is completely standard:
 Make perl executable and create a symlink for libperl:
 
   chmod a+x /boot/common/bin/perl
-  cd /boot/common/lib; ln -s perl5/5.29.4/BePC-haiku/CORE/libperl.so .
+  cd /boot/common/lib; ln -s perl5/5.29.5/BePC-haiku/CORE/libperl.so .
 
-Replace C<5.29.4> with your respective version of Perl.
+Replace C<5.29.5> with your respective version of Perl.
 
 =head1 KNOWN PROBLEMS
 
index 290d1fd..38e8b5e 100644 (file)
@@ -10,9 +10,9 @@ perlmacosx - Perl under Mac OS X
 
 This document briefly describes Perl under Mac OS X.
 
-  curl -O http://www.cpan.org/src/perl-5.29.4.tar.gz
-  tar -xzf perl-5.29.4.tar.gz
-  cd perl-5.29.4
+  curl -O http://www.cpan.org/src/perl-5.29.5.tar.gz
+  tar -xzf perl-5.29.5.tar.gz
+  cd perl-5.29.5
   ./Configure -des -Dprefix=/usr/local/
   make
   make test
@@ -20,7 +20,7 @@ This document briefly describes Perl under Mac OS X.
 
 =head1 DESCRIPTION
 
-The latest Perl release (5.29.4 as of this writing) builds without changes
+The latest Perl release (5.29.5 as of this writing) builds without changes
 under all versions of Mac OS X from 10.3 "Panther" onwards. 
 
 In order to build your own version of Perl you will need 'make',
index 9d1a19b..d318ed1 100644 (file)
@@ -619,7 +619,7 @@ C<set PERLLIB_PREFIX> in F<Config.sys>, see L</"C<PERLLIB_PREFIX>">.
 
 =item Additional Perl modules
 
-  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.29.4/
+  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.29.5/
 
 Same remark as above applies.  Additionally, if this directory is not
 one of directories on @INC (and @INC is influenced by C<PERLLIB_PREFIX>), you
index 89ed279..5766017 100644 (file)
@@ -142,11 +142,11 @@ You may need to set up a foreign symbol for the unpacking utility of
 choice.  Once you have done so, use a command like the following to
 unpack the archive:
 
-    vmstar -xvf perl-5^.29^.4.tar
+    vmstar -xvf perl-5^.29^.5.tar
 
 Then set default to the top-level source directory like so:
 
-    set default [.perl-5^.29^.4]
+    set default [.perl-5^.29^.5]
 
 and proceed with configuration as described in the next section.
 
index 972ad04..3de4040 100644 (file)
@@ -1,3 +1,6 @@
+5.20181120
+  - Updated for v5.29.5
+
 5.20181020
   - Updated for v5.29.4
 
index 4a56632..9f22ac8 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 our ( %released, %version, %families, %upstream, %bug_tracker, %deprecated, %delta );
 
 use version;
-our $VERSION = '5.20181020';
+our $VERSION = '5.20181120';
 
 sub PKG_PATTERN () { q#\A[a-zA-Z_][0-9a-zA-Z_]*(?:(::|')[0-9a-zA-Z_]+)*\z# }
 sub _looks_like_invocant ($) { local $@; !!eval { $_[0]->isa(__PACKAGE__) } }
@@ -339,6 +339,7 @@ sub changes_between {
     5.029002 => '2018-08-20',
     5.029003 => '2018-09-20',
     5.029004 => '2018-10-20',
+    5.029005 => '2018-11-20',
   );
 
 for my $version ( sort { $a <=> $b } keys %released ) {
@@ -15813,6 +15814,17 @@ for my $version ( sort { $a <=> $b } keys %released ) {
             'arybase'               => 1,
         }
     },
+    5.029005 => {
+        delta_from => 5.029004,
+        changed => {
+            'B::Op_private'         => '5.029005',
+            'Config'                => '5.029005',
+            'Module::CoreList'      => '5.20181120',
+            'Module::CoreList::Utils'=> '5.20181120',
+        },
+        removed => {
+        }
+    },
 );
 
 sub is_core
@@ -16745,6 +16757,13 @@ sub is_core
             arybase => '1',
         }
     },
+    5.029005 => {
+        delta_from => 5.027002,
+        changed => {
+        },
+        removed => {
+        }
+    },
 );
 
 %deprecated = _undelta(\%deprecated);
index dd213cb..d949201 100644 (file)
@@ -4,7 +4,7 @@ use strict;
 use warnings;
 use Module::CoreList;
 
-our $VERSION = '5.20181020';
+our $VERSION = '5.20181120';
 our %utilities;
 
 sub utilities {
@@ -1431,6 +1431,13 @@ my %delta = (
         removed => {
         }
     },
+    5.029005 => {
+        delta_from => 5.029004,
+        changed => {
+        },
+        removed => {
+        }
+    },
 );
 
 %utilities = Module::CoreList::_undelta(\%delta);
index a141d66..f15e26e 100644 (file)
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.29.4
+# mkdir -p /opt/perl-catamount/lib/perl5/5.29.5
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.29.4
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.29.5
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
index 3bea830..0d0b362 100644 (file)
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.029004";
+our $VERSION = "5.029005";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
index 7ba4e03..148b3e3 100644 (file)
@@ -15,7 +15,7 @@
 
 #define PERL_REVISION  5               /* age */
 #define PERL_VERSION   29              /* epoch */
-#define PERL_SUBVERSION        4               /* generation */
+#define PERL_SUBVERSION        5               /* generation */
 
 /* The following numbers describe the earliest compatible version of
    Perl ("compatibility" here being defined as sufficient binary/API
@@ -36,7 +36,7 @@
 */
 #define PERL_API_REVISION      5
 #define PERL_API_VERSION       29
-#define PERL_API_SUBVERSION    4
+#define PERL_API_SUBVERSION    5
 /*
    XXX Note:  The selection of non-default Configure options, such
    as -Duselonglong may invalidate these settings.  Currently, Configure
index b74f74f..4cbdeda 100644 (file)
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/sys/lib/perl/5.29.4"         /**/
-#define PRIVLIB_EXP "/sys/lib/perl/5.29.4"             /**/
+#define PRIVLIB "/sys/lib/perl/5.29.5"         /**/
+#define PRIVLIB_EXP "/sys/lib/perl/5.29.5"             /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/sys/lib/perl/5.29.4/site_perl"               /**/
-#define SITELIB_EXP "/sys/lib/perl/5.29.4/site_perl"           /**/
-#define SITELIB_STEM "/sys/lib/perl/5.29.4/site_perl"          /**/
+#define SITELIB "/sys/lib/perl/5.29.5/site_perl"               /**/
+#define SITELIB_EXP "/sys/lib/perl/5.29.5/site_perl"           /**/
+#define SITELIB_STEM "/sys/lib/perl/5.29.5/site_perl"          /**/
 
 /* Size_t_size:
  *     This symbol holds the size of a Size_t in bytes.
index b6fda7c..7d4b993 100644 (file)
@@ -31,12 +31,12 @@ afsroot='/afs'
 alignbytes='4'
 aphostname='/bin/uname -n'
 api_revision='5'
-api_subversion='4'
+api_subversion='5'
 api_version='29'
-api_versionstring='5.29.4'
+api_versionstring='5.29.5'
 ar='ar'
-archlib='/sys/lib/perl5/5.29.4/386'
-archlibexp='/sys/lib/perl5/5.29.4/386'
+archlib='/sys/lib/perl5/5.29.5/386'
+archlibexp='/sys/lib/perl5/5.29.5/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -812,17 +812,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.29.4/386'
+installarchlib='/sys/lib/perl/5.29.5/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.29.4'
+installprivlib='/sys/lib/perl/5.29.5'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.29.4/site_perl/386'
+installsitearch='/sys/lib/perl/5.29.5/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.29.4/site_perl'
+installsitelib='/sys/lib/perl/5.29.5/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -947,8 +947,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.29.4'
-privlibexp='/sys/lib/perl/5.29.4'
+privlib='/sys/lib/perl/5.29.5'
+privlibexp='/sys/lib/perl/5.29.5'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1013,13 +1013,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.29.4/site_perl/386'
+sitearch='/sys/lib/perl/5.29.5/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.29.4/site_perl'
-sitelib_stem='/sys/lib/perl/5.29.4/site_perl'
-sitelibexp='/sys/lib/perl/5.29.4/site_perl'
+sitelib='/sys/lib/perl/5.29.5/site_perl'
+sitelib_stem='/sys/lib/perl/5.29.5/site_perl'
+sitelibexp='/sys/lib/perl/5.29.5/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1052,7 +1052,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='4'
+subversion='5'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1133,8 +1133,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.29.4'
-version_patchlevel_string='version 29 subversion 4'
+version='5.29.5'
+version_patchlevel_string='version 29 subversion 5'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1148,9 +1148,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=29
-PERL_SUBVERSION=4
+PERL_SUBVERSION=5
 PERL_API_REVISION=5
 PERL_API_VERSION=29
-PERL_API_SUBVERSION=4
+PERL_API_SUBVERSION=5
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 65d8b87..d411225 100644 (file)
@@ -64,7 +64,7 @@ INST_TOP := $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      := \5.29.4
+#INST_VER      := \5.29.5
 
 #
 # Comment this out if you DON'T want your perl installation to have
index fc483c1..700a02d 100644 (file)
@@ -38,7 +38,7 @@ INST_TOP      = $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      = \5.29.4
+#INST_VER      = \5.29.5
 
 #
 # Comment this out if you DON'T want your perl installation to have
index 51f6bfe..be55d8c 100644 (file)
@@ -45,7 +45,7 @@ INST_TOP      *= $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      *= \5.29.4
+#INST_VER      *= \5.29.5
 
 #
 # Comment this out if you DON'T want your perl installation to have